curl --request GET \
--url https://api.glassmarkets.io/v2/leaderboard/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.glassmarkets.io/v2/leaderboard/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.glassmarkets.io/v2/leaderboard/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"asset": "<string>",
"exchange": {
"slug": "<string>",
"name": "<string>",
"icon_url": "<string>"
},
"pair": "<string>",
"price_change": 123,
"volume": 123,
"usd_open_interest": 123,
"funding_rate_8h": 123,
"tick_bps": 123,
"tick_bps_status": "<string>",
"tick_bps_samples": 123,
"bid_0bps": 123,
"bid_0.05bps": 123,
"bid_0.1bps": 123,
"bid_0.15bps": 123,
"bid_0.25bps": 123,
"bid_0.5bps": 123,
"bid_0.75bps": 123,
"bid_1bps": 123,
"bid_2bps": 123,
"bid_3bps": 123,
"bid_5bps": 123,
"bid_10bps": 123,
"bid_15bps": 123,
"bid_20bps": 123,
"bid_25bps": 123,
"bid_30bps": 123,
"bid_40bps": 123,
"bid_50bps": 123,
"bid_60bps": 123,
"bid_75bps": 123,
"bid_100bps": 123,
"bid_150bps": 123,
"bid_200bps": 123,
"bid_300bps": 123,
"bid_500bps": 123,
"ask_0bps": 123,
"ask_0.05bps": 123,
"ask_0.1bps": 123,
"ask_0.15bps": 123,
"ask_0.25bps": 123,
"ask_0.5bps": 123,
"ask_0.75bps": 123,
"ask_1bps": 123,
"ask_2bps": 123,
"ask_3bps": 123,
"ask_5bps": 123,
"ask_10bps": 123,
"ask_15bps": 123,
"ask_20bps": 123,
"ask_25bps": 123,
"ask_30bps": 123,
"ask_40bps": 123,
"ask_50bps": 123,
"ask_60bps": 123,
"ask_75bps": 123,
"ask_100bps": 123,
"ask_150bps": 123,
"ask_200bps": 123,
"ask_300bps": 123,
"ask_500bps": 123
}
]Rank pairs by market data
Ranks the active pairs of your organizations’ assets over a window by USD volume, price change (percent, first to last 1-minute TWAP), open interest and funding rate for perpetuals, tick size, or bid/ask depth at a level in bps. Returns 20 rows per page, sorted by sort_by. Filter with exchanges and types (spot or perpetual).
curl --request GET \
--url https://api.glassmarkets.io/v2/leaderboard/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.glassmarkets.io/v2/leaderboard/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.glassmarkets.io/v2/leaderboard/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"asset": "<string>",
"exchange": {
"slug": "<string>",
"name": "<string>",
"icon_url": "<string>"
},
"pair": "<string>",
"price_change": 123,
"volume": 123,
"usd_open_interest": 123,
"funding_rate_8h": 123,
"tick_bps": 123,
"tick_bps_status": "<string>",
"tick_bps_samples": 123,
"bid_0bps": 123,
"bid_0.05bps": 123,
"bid_0.1bps": 123,
"bid_0.15bps": 123,
"bid_0.25bps": 123,
"bid_0.5bps": 123,
"bid_0.75bps": 123,
"bid_1bps": 123,
"bid_2bps": 123,
"bid_3bps": 123,
"bid_5bps": 123,
"bid_10bps": 123,
"bid_15bps": 123,
"bid_20bps": 123,
"bid_25bps": 123,
"bid_30bps": 123,
"bid_40bps": 123,
"bid_50bps": 123,
"bid_60bps": 123,
"bid_75bps": 123,
"bid_100bps": 123,
"bid_150bps": 123,
"bid_200bps": 123,
"bid_300bps": 123,
"bid_500bps": 123,
"ask_0bps": 123,
"ask_0.05bps": 123,
"ask_0.1bps": 123,
"ask_0.15bps": 123,
"ask_0.25bps": 123,
"ask_0.5bps": 123,
"ask_0.75bps": 123,
"ask_1bps": 123,
"ask_2bps": 123,
"ask_3bps": 123,
"ask_5bps": 123,
"ask_10bps": 123,
"ask_15bps": 123,
"ask_20bps": 123,
"ask_25bps": 123,
"ask_30bps": 123,
"ask_40bps": 123,
"ask_50bps": 123,
"ask_60bps": 123,
"ask_75bps": 123,
"ask_100bps": 123,
"ask_150bps": 123,
"ask_200bps": 123,
"ask_300bps": 123,
"ask_500bps": 123
}
]Authorizations
Token-based authentication with required prefix "Token ". Example: "Token 9944b09199c62bcf9418ad846dd0e4bbdfc6ee4b"
Query Parameters
Comma separated list of assets. Defaults to all authorized assets. Regular users may request at most 100 assets and, when omitted, receive the first 100 authorized assets ordered by symbol; staff are unlimited.
Depth levels to return, in basis points.
25Comma-separated exchange slugs, e.g. binance,okx. Defaults to all exchanges.
100File name of the CSV download. Defaults to data.csv.
1M- Aggregated in 1 month periods.1w- Aggregated in 1 week periods.1d- Aggregated in 1 day periods.4h- Aggregated in 4 hour periods.1h- Aggregated in 1 hour periods.30m- Aggregated in 30 minute periods.15m- Aggregated in 15 minute periods.5m- Aggregated in 5 minute periods.1m- Aggregated in 1 minute periods.c- Will return all the data for the specified time range using the biggest periods possible.a- Will return the aggregate of the data for the specified time range.
1M, 1w, 1d, 4h, 1h, 30m, 15m, 5m, 1m, c, a 1Relative window ending now. Can't be combined with time_start/time_end.
30-minutes- 30-minutes1-hour- 1-hour3-hours- 3-hours6-hours- 6-hours12-hours- 12-hours1-day- 1-day7-days- 7-days1-month- 1-month3-months- 3-months6-months- 6-months1-year- 1-year
30-minutes, 1-hour, 3-hours, 6-hours, 12-hours, 1-day, 7-days, 1-month, 3-months, 6-months, 1-year 1Days to include, as comma-separated week:day pairs such as this:1,last:5, or a JSON array of {"week", "day"} objects. week is this or last; day is 0 (Sunday) to 6 (Saturday).
Trading session to restrict the window to. Requires market_hours_days; can't be combined with time_start/time_end or lookback.
pre-market- pre-marketopening-bell- opening-bellmarket-hours- market-hoursclosing-bell- closing-bellafter-hours- after-hoursblue-ocean- blue-oceanweekend-hours- weekend-hours
pre-market, opening-bell, market-hours, closing-bell, after-hours, blue-ocean, weekend-hours 1Time zone of the market-hours sessions.
1Page number; each page has 20 rows.
x >= 1Column to sort by: volume, price_change, usd_open_interest, funding_rate_8h, tick_bps, or a depth column such as bid_2bps.
1^(volume|price_change|usd_open_interest|funding_rate_8h|tick_bps|bid_[0-9]+(?:\.[0-9]+)?bps|ask_[0-9]+(?:\.[0-9]+)?bps)$asc- Ascendingdesc- Descending
asc, desc 1Window end, ISO 8601. UTC when no offset is given.
Window start, ISO 8601. UTC when no offset is given.
csv returns a CSV file instead of JSON.
csv all- Spot and Perpspot- Spotperp- Perp
all, spot, perp 1Response
Show child attributes
Show child attributes

